﻿Dim sUserName
Dim sUserAccount
Dim sComputerName
Dim sIPAddress

Sub WindowOnLoad
    Call GetComputerInfo()
    ' Update information every 15 minutes
    Call SetInterval("GetComputerInfo()", 1000*60*15)
End Sub

Sub GetComputerInfo()
    InfoZone_Div.style.fontSize = "18px"
    sUserName = ""
    sUserAccount = ""
    sComputerName = ""
    sIPAddress = ""
    sComputer = "."
    Set oWMIService = GetObject("winmgmts:\\" & sComputer & "\root\cimv2")
    Set colItems = oWMIService.ExecQuery("Select * From Win32_ComputerSystem")
    For Each oItem in colItems
        sComputerName = oItem.Name
        aFullUserName = Split(oItem.UserName, "\")
        sUserDomain = aFullUserName(0)
        sUserAccount = aFullUserName(1)
    Next
    Set colItems = oWMIService.ExecQuery("Select * From Win32_UserAccount WHERE Name = '" & sUserAccount & "'")
    For Each oItem in colItems 
        sUserName = oItem.FullName
    Next
    Set colItems = oWMIService.ExecQuery ("Select * From Win32_NetworkAdapterConfiguration")
    For Each oItem in colItems
        If IsNull(oItem.IPAddress) = False Then
            sIPAddress = sIPAddress & oItem.IPAddress(0) & ", "
        End If
    Next
    If Len(sIPAddress) > 0 Then
        sIPAddress = Left(sIPAddress, Len(sIPAddress) - 2)
    Else
        sIPAddress = "Disconnected"
    End IF
    Call LayoutInfo()
End Sub

Sub LayoutInfo()
    UserName_Div.innerHTML = sUserName
    UserAccount_Div.innerHTML = UCase(sUserAccount)
    ComputerName_Div.innerHTML = UCase(sComputerName)
    IPAddress_Div.innerHTML = UCase(sIPAddress)
    If InfoZone_Div.offsetHeight > 98 Then
        InfoZone_Div.style.fontSize = Left(InfoZone_Div.style.fontSize, Instr(InfoZone_Div.style.fontSize,"px")-1)-1 & "px"
        LayoutInfo()
    End If
End Sub
